Subject: Re: FVWM: xman menus don't work

From: michael shiplett <[email-masked]>
Date: Thu, 13 Jun 1996 09:56:59 -0400

"dk" == David Kennedy <[email-masked]> writes:

dk> Lots of people have said xman works fine, or that there is no
dk> problem with it.  Odd, I can start xman, get a manual page up, but
dk> thats it.

  It almost sounds as though xman may be unable to find its
app-defaults. I say almost because you mention that you `can get the
menus up in xman'. Of course, if xman works for you under another
window manager (or no window manager), then this is not the problem.

michael
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: [email-masked] (David Kennedy)
Date: Thu, 13 Jun 1996 15:02:45 +0100

>  window manager (or no window manager), then this is not the problem.

It works fine under olwm, olvwm etc. 
-- 
David Kennedy, Dept. of Pure & Applied Physics, Queen's University of Belfast
Email: [email-masked] | URL: http://star.pst.qub.ac.uk/~dcjk/
      Hi! I'm a .signature virus! Copy me into yours and join the fun!
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Patrice Fortier <[email-masked]>
Date: Thu, 13 Jun 1996 17:06:18 +0200 (MET DST)

> I can't use either menu, so I can't actually get to a manual page or
> browse through commands. To me, this is broken! Maybe its not a
> widespread problem. Lets see, I have Solaris 2.5 and openwin 3.?
> I'll just go and check that using different mouse buttons etc doesn't fix
> it. Nope. Xman might as well be a static picture for all the use I can
> get out of it. I have the last fvwm beta, compiled as normal, no patches.
> I can get the menus up in xman, I just cannot select anything in either
> options or sections. Hence, no use! :-)

  I've no problem with solaris 2.5 X11R5 Fvwm-2.0.42.
Do you have the num lock key pressed? Try to press it and test xman again.
I had a similiar problem some time ago, on an Indy using mwm. The problem
was the same with all the programs using the athena (Xaw) widget set.
If the num-lock is active, you can see menus but you can't select them.
Again, I repeat that I had this problem with mwm.

  I tested here and I have the same problem as you If I enable the numlock
key. This seems to be a problem of the athena widget set. Does anybody can
confirm this?

Lokh.

---

From: [email-masked] (David Kennedy)
Date: Thu, 13 Jun 1996 17:21:41 +0100

Patrice said:
>  David said:

Oh bugger. You're right! I have everything else in fvwm bound to
work with or without numlock, so I keep forgetting I have that key!
Duh!

The filemgr bug etc is still there though. In that case the menu
just vanishes though. It doesn't appear to flick behind a window
due to fvwmauto though, it just vanishes. I'll test it sometime
without fvwmauto on perhaps.
-- 
David Kennedy, Dept. of Pure & Applied Physics, Queen's University of Belfast
Email: [email-masked] | URL: http://star.pst.qub.ac.uk/~dcjk/
      Hi! I'm a .signature virus! Copy me into yours and join the fun!
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: [email-masked]
Date: Thu, 13 Jun 1996 10:39:57 +0600

> key. This seems to be a problem of the athena widget set. Does anybody can

I just tried this under Solaris 2.3 (x11r5 and fvwm-2.0.40), and sure enough
with the num-lock active none of the menus worked.

Bob